{% extends '@DemosPlanCore/DemosPlanCore/base.html.twig' %}

{% block component_part %}

    <h1>{{ 'statements.collected.list'|trans }}</h1>

    {% apply spaceless %}
        <div class="text-right">
            {% if
                hasPermission('feature_statements_import_excel') or
                hasPermission('feature_import_statement_pdf') or
                hasPermission('feature_segments_import_excel') or
                hasPermission('feature_simplified_new_statement_create') %}
                <dp-button
                    href="{{ path('DemosPlan_procedure_import', { procedureId: templateVars.procedureId|default }) }}"
                    text="{{ 'statements.import'|trans }}"
                    data-cy="statementsImport">
                </dp-button>
            {% else %}
                <dp-button
                    href="{{ path('DemosPlan_statement_new_submitted', {'procedureId': templateVars.procedureId|default}) }}"
                    text="{{ 'statement.collect.create'|trans }}">
                </dp-button>
            {% endif %}
        </div>
    {% endapply %}

    {% if templateVars.statements|default([])|length == 0 %}
        <dp-inline-notification
            :message="Translator.trans('explanation.noentries')"
            type="info">
        </dp-inline-notification>
    {% else %}

        <table class="c-table">
            <colgroup>
                <col>
                <col class="width-20p">
            </colgroup>
            <thead>
            <tr>
                <th>
                    {{ "statement.id"|trans }}
                </th>
                <th>
                    {{ "date.created.noun"|trans }}
                </th>
            </tr>
            </thead>
            <tbody>
                {% for statement in templateVars.statements %}

                    <tr>
                        <td>
                            <a
                                href="{{ path('DemosPlan_statement_single_view',{ 'procedureId': templateVars.procedureId|default, 'statementId': statement.id|default}) }}"
                                data-cy="orgaStatementList">
                                {{ statement.externId }}
                            </a>
                        </td>
                        <td>
                            {{ statement.created|default|dplanDate('d.m.Y H:i') }} Uhr
                        </td>
                    </tr>

                {% endfor %}
            </tbody>
        </table>
        <hr class="u-mt-0">

    {% endif %}

{% endblock component_part %}
{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['statement-listOrgaStatements.js']) }}
{% endblock %}
